One tenant: usage per application and the tenant settings (platform administrators)
GET
/api/v1/platform/tenants/{tenant_id}
const url = 'https://files.centralcodestation.com/api/v1/platform/tenants/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://files.centralcodestation.com/api/v1/platform/tenants/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenant_id
required
string
The Identity Server tenant id.
Responses
Section titled “Responses”Success.
Media typeapplication/json
object
tenant_id
required
string
name
required
string
slug
required
string
status
required
string
quota_bytes
required
number
used_bytes
required
number
reserved_bytes
required
number
trashed_bytes
required
number
files
required
number
suspended
required
boolean
updated_at
required
string format: date-time
settings
required
object
quota_bytes
required
Null: unlimited.
number
max_file_size_bytes
required
number
allowed_types
required
Array<string>
public_visibility_allowed
required
boolean
share_links_allowed
required
boolean
suspended
required
Every new ticket answers 403 tenant_suspended; reads keep working.
boolean
note
required
string
storage_account_id
required
string
updated_at
required
string format: date-time
updated_by
required
string
applications
required
Array<object>
object
application_id
required
string
name
required
string
bytes
required
number
quota_bytes
required
number
files
required
number
files_enabled
required
boolean
Example generated
{ "tenant_id": "example", "name": "example", "slug": "example", "status": "example", "quota_bytes": 1, "used_bytes": 1, "reserved_bytes": 1, "trashed_bytes": 1, "files": 1, "suspended": true, "updated_at": "2026-04-15T12:00:00Z", "settings": { "quota_bytes": 1, "max_file_size_bytes": 1, "allowed_types": [ "example" ], "public_visibility_allowed": true, "share_links_allowed": true, "suspended": true, "note": "example", "storage_account_id": "example", "updated_at": "2026-04-15T12:00:00Z", "updated_by": "example" }, "applications": [ { "application_id": "example", "name": "example", "bytes": 1, "quota_bytes": 1, "files": 1, "files_enabled": true } ]}Error. error is one of: invalid_token.
Media typeapplication/json
object
status_code
required
number
error
required
Stable snake_case error code.
string
message
required
One of:
string
Array<string>
path
required
string
timestamp
required
string format: date-time
Example
{ "status_code": 401, "error": "invalid_token", "message": "The bearer token is missing, malformed, expired, signed by an unknown key, or has the wrong audience (`aud` must be `files-api`).", "path": "/api/v1/tenants/fitness-co/applications/fitness-app/files/01J9Z6S9Q5F5R6Y2W2GZ3B3K4D", "timestamp": "2026-10-22T09:12:33.120Z"}Error. error is one of: not_tenant_member, tenant_not_available, insufficient_scope, client_context_mismatch, files_access_not_granted, platform_admin_required.
Media typeapplication/json
object
status_code
required
number
error
required
Stable snake_case error code.
string
message
required
One of:
string
Array<string>
path
required
string
timestamp
required
string format: date-time
Example
{ "status_code": 403, "error": "not_tenant_member", "message": "The user is not an active member of the tenant in the URL.", "path": "/api/v1/tenants/fitness-co/applications/fitness-app/files/01J9Z6S9Q5F5R6Y2W2GZ3B3K4D", "timestamp": "2026-10-22T09:12:33.120Z"}Error. error is one of: not_found.
Media typeapplication/json
object
status_code
required
number
error
required
Stable snake_case error code.
string
message
required
One of:
string
Array<string>
path
required
string
timestamp
required
string format: date-time
Example
{ "status_code": 404, "error": "not_found", "message": "An id in the path is malformed, or the route does not exist.", "path": "/api/v1/tenants/fitness-co/applications/fitness-app/files/01J9Z6S9Q5F5R6Y2W2GZ3B3K4D", "timestamp": "2026-10-22T09:12:33.120Z"}Error. error is one of: rate_limited.
Media typeapplication/json
object
status_code
required
number
error
required
Stable snake_case error code.
string
message
required
One of:
string
Array<string>
path
required
string
timestamp
required
string format: date-time
Example
{ "status_code": 429, "error": "rate_limited", "message": "Too many requests in the current window; `retry_after` (and the `Retry-After` header) says when to retry.", "path": "/api/v1/tenants/fitness-co/applications/fitness-app/files/01J9Z6S9Q5F5R6Y2W2GZ3B3K4D", "timestamp": "2026-10-22T09:12:33.120Z"}Error. error is one of: identity_unavailable.
Media typeapplication/json
object
status_code
required
number
error
required
Stable snake_case error code.
string
message
required
One of:
string
Array<string>
path
required
string
timestamp
required
string format: date-time
Example
{ "status_code": 503, "error": "identity_unavailable", "message": "The service could not reach the Identity Server and has no fresh cached answer.", "path": "/api/v1/tenants/fitness-co/applications/fitness-app/files/01J9Z6S9Q5F5R6Y2W2GZ3B3K4D", "timestamp": "2026-10-22T09:12:33.120Z"}default
Section titled “default”Error: see error for the code.
Media typeapplication/json
object
status_code
required
number
error
required
Stable snake_case error code.
string
message
required
One of:
string
Array<string>
path
required
string
timestamp
required
string format: date-time
Example
{ "status_code": 403, "error": "invalid_request", "message": "This client is not bound to this tenant/application", "path": "/api/v1/tenants/t1/applications/a1/files/01J9Z6S9Q5F5R6Y2W2GZ3B3K4D"}